package com.brilliance.ccbank.common;

import java.util.List;
import java.util.Map;

import com.brilliance.eibs.factory.FactoryManager;
import com.brilliance.eibs.util.StringUtil;

public class CommonAction
{

  /**
   * 获取错误码信息
   * **/
  public static String errcode(String sysnam, String code)
  {
    if (code == null)
      code = "";
    String erroCode = "";
    List<Map<String, Object>> errorCodeList = FactoryManager.getBeanFactory().getErrorCode();
    for (int i = 0; i < errorCodeList.size(); i++)
    {
      Map<String, Object> map = errorCodeList.get(i);
      String selSysnam = map.get("sysnam").toString();
      String selExtcod = map.get("extcod").toString();
      String selinncod = map.get("inncod").toString();
      if (sysnam.equals(selSysnam))
      {
        if (code.equals(selExtcod))
        {
          erroCode = selinncod;
          break;
        }
        else
        {
          if (code.equals(selinncod))
          {
            erroCode = selExtcod;
            break;
          }
        }
      }
    }
    return erroCode;
  }

  /**
   * 获取错误描述信息
   * **/
  public static String errdsp(String sysnam, String code)
  {
    String dsp = "";
    /*  if (code == null)
        code = "";
      List<Map<String, Object>> errorCodeList = FactoryManager.getBeanFactory().getErrorCode();
      for (int i = 0; i < errorCodeList.size(); i++)
      {
        Map<String, Object> map = errorCodeList.get(i);
        String selSysnam = map.get("sysnam").toString();
        String selExtcod = map.get("extcod").toString();
        String selinncod = map.get("inncod").toString();
        String selExtdsp = map.get("chndsp").toString();
        if (sysnam.equals(selSysnam))
        {
          if (code.equals(selExtcod) || code.equals(selinncod))
          {
            dsp = selExtdsp;
            break;
          }
        }
      }*/

    if (code == null)
      code = "";
    List<Map<String, Object>> errorCodeList = FactoryManager.getBeanFactory().getErrorCode();
    for (int i = 0; i < errorCodeList.size(); i++)
    {
      Map<String, Object> map = errorCodeList.get(i);
      String selSysnam = map.get("sysnam").toString();
      String selExtcod = map.get("extcod").toString();
      String selinncod = map.get("inncod").toString();
      String seldsp = map.get("chndsp").toString();
      if (sysnam.equals(selSysnam))
      {
        if (code.equals(selExtcod))
        {
          //TODO
          dsp = seldsp;
          break;
        }
        else
        {
          if (code.equals(selinncod))
          {
            dsp = seldsp;
            break;
          }
        }
      }
    }
    return dsp;
  }

  /***
   * 获取码表信息
   * **/
  public static Object codeTable(String id, String src)
  {
    List<Map<String, Object>> codeList = FactoryManager.getBeanFactory().getCodeTable();
    for (int i = 0; i < codeList.size(); i++)
    {
      if (codeList.get(i).get("id").equals(id))
      {
        Map<String, Object> map = codeList.get(i);
        if (map.get("srccod").toString().equals(src))
        {
          return map.get("dstcod");
        }
      }
    }
    return null;
  }

  public static String elStr(String val)
  {
    if (StringUtil.isEmpty(val))
      return "";
    else
      return "${" + val + "}";
  }
}
