package com.brilliance.ccbank.srcipt.model.impl;

import java.io.Serializable;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;

import com.brilliance.eibs.core.model.impl.AbsDef;

public class BeginDef
    extends AbsDef
    implements Serializable
{
  private static final long serialVersionUID = 1L;
  private String            flwId;                //流程号
  private Integer           seqId            = -1; //执行顺序号

  public BeginDef()
  {

  }

  public BeginDef( String flwid )
  {
    this.flwId = flwid;
  }

  @Override
  public String getUnique()
  {
    return "BEGIN" + " " + flwId + " " + seqId;
  }

  public String getFlwId()
  {
    return flwId;
  }

  public void setFlwId(String flwId)
  {
    this.flwId = flwId;
  }

  public boolean equals(Object obj)
  {
    boolean b = EqualsBuilder.reflectionEquals(this, obj);
    return b;
  }

  public int hashCode()
  {
    return HashCodeBuilder.reflectionHashCode(this);
  }
}
