package com.brilliance.ccbank.srcipt.parser;

import java.util.List;

import org.slf4j.Logger;

import com.brilliance.ccbank.srcipt.core.FlwMapping;
import com.brilliance.ccbank.srcipt.reader.DbScriptReader;

public class DbTokenParser
    extends TokenParser
{

  public DbTokenParser( List<FlwMapping> scripts, String charset, Logger logger )
  {
    super(new DbScriptReader(scripts, charset), logger);
  }

  @Override
  protected boolean checkBeforeParse()
  {
    List<String> tmp = ((DbScriptReader) scriptReader).getScripts();
    if (tmp == null || tmp.size() <= 0)
      return false;
    return true;
  }


}
