package com.brilliance.ext.util;

import com.caucho.hessian.client.HessianProxyFactory;

public class HessianUtil<T> {
	static HessianProxyFactory factory = null;
	static {
		factory = new HessianProxyFactory();
	}

	@SuppressWarnings("unchecked")
	public static <T> T getService(String url, String clazName) throws Exception {
		return (T) factory.create(Class.forName(clazName), url, Thread.currentThread().getContextClassLoader());
	}
}
