#!/bin/sh
PRG="$0"
PRGDIR=`dirname "$PRG"`
ABSDIR=`cd "$PRGDIR/.." >/dev/null; pwd`
PID=`ps -ef |grep "$ABSDIR":|grep com.brilliance.eibs.main.Server |grep -v grep |awk '{print $2}'`
if [ "X" = "X$PID" ]; then
	echo "Interface platform does not start."
	exit 2
elif kill -15 $PID ; then
	echo "Interface Platform is closed."
else
	echo "Interface platform close failed."
	exit 1
fi
exit 0
