package com.brilliance.eibs.bean;

import com.brilliance.eibs.core.model.IProperty;

/**
 * @author yangrui
 * 
 *         定义javabean中的属性
 */
public class Property
    implements IProperty
{

  private static final long serialVersionUID = 1L;
  private String            name;
  private String            type;
  private String            header;
  private String flg="1";
  public String getHeader()
  {
    return header;
  }

  public void setHeader(String header)
  {
    this.header = header;
  }

  public String getName()
  {
    return name;
  }

  public void setName(String name)
  {
    this.name = name;
  }

  public String getType()
  {
    return type;
  }

  public void setType(String type)
  {
    this.type = type;
  }

  @Override
  public boolean equals(Object obj)
  {
    if (obj == this)
      return true;
    if (!(obj instanceof Property))
      return false;
    Property pro = (Property) obj;
    return pro.getName().equals(name) && pro.getType().equals(type);
  }

  public String getFlg()
  {
    return flg;
  }

  public void setFlg(String flg)
  {
    this.flg = flg;
  }

}
