package com.brilliance.eibs.coder.impl;

import com.brilliance.eibs.coder.Coder;
import org.apache.commons.codec.digest.DigestUtils;
import org.bouncycastle.util.encoders.Hex;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

/**
 * @author hujun
 *
 */
public class MDCoder extends Coder
{

  public static byte[] encodeMD2(byte[] data)
      throws NoSuchAlgorithmException
  {
    MessageDigest md = MessageDigest.getInstance("MD2");
    return md.digest(data);
  }

  public static String encodeMD2Hex(byte[] data)
      throws NoSuchAlgorithmException
  {
    byte[] b = encodeMD2(data);
    return new String(Hex.encode(b));
  }

  public static byte[] encodeMD5(String data)
  {
    return DigestUtils.md5(data);
  }

  public static String encodeMD5Hex(String data)
  {
    return DigestUtils.md5Hex(data);
  }
  
  public static String encodeMD5Hex(byte[] data)
  {
    return DigestUtils.md5Hex(data);
  }

  public static byte[] encodeMD4(byte[] data)
      throws NoSuchAlgorithmException
  {
    MessageDigest md = MessageDigest.getInstance("MD4");
    return md.digest(data);
  }

  public static String encodeMD4Hex(byte[] data)
      throws NoSuchAlgorithmException
  {
    byte[] b = encodeMD4(data);
    return new String(Hex.encode(b));
  }
}
