package com.brilliance.eibs.coder.impl;

import com.brilliance.eibs.coder.Coder;
import org.bouncycastle.util.encoders.Hex;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

public class RipeMDCoder extends Coder
{

  public static byte[] encodeRipeMD128(byte[] data)
      throws NoSuchAlgorithmException
  {
    MessageDigest md = MessageDigest.getInstance("RipeMD128");
    return md.digest(data);
  }

  public static String encodeRipeMD128Hex(byte[] data)
      throws NoSuchAlgorithmException
  {
    byte[] b = encodeRipeMD128(data);
    return new String(Hex.encode(b));
  }
  
  public static byte[] encodeRipeMD160(byte[] data)
      throws NoSuchAlgorithmException
  {
    MessageDigest md = MessageDigest.getInstance("RipeMD160");
    return md.digest(data);
  }

  public static String encodeRipeMD160Hex(byte[] data)
      throws NoSuchAlgorithmException
  {
    byte[] b = encodeRipeMD160(data);
    return new String(Hex.encode(b));
  }
  
  public static byte[] encodeRipeMD256(byte[] data)
      throws NoSuchAlgorithmException
  {
    MessageDigest md = MessageDigest.getInstance("RipeMD256");
    return md.digest(data);
  }

  public static String encodeRipeMD256Hex(byte[] data)
      throws NoSuchAlgorithmException
  {
    byte[] b = encodeRipeMD256(data);
    return new String(Hex.encode(b));
  }
  
  public static byte[] encodeRipeMD320(byte[] data)
      throws NoSuchAlgorithmException
  {
    MessageDigest md = MessageDigest.getInstance("RipeMD320");
    return md.digest(data);
  }

  public static String encodeRipeMD320Hex(byte[] data)
      throws NoSuchAlgorithmException
  {
    byte[] b = encodeRipeMD320(data);
    return new String(Hex.encode(b));
  }
}
