package com.brilliance.eibs.core.debug;

import com.brilliance.eibs.core.service.Context;

/**
 * @author hujun
 *
 *         debug代理，用于将接口配置模拟型跟breakpoint结合
 */
public interface IDebugAdaptor<T> {


    void turnOn();

    void turnOff();

    void suspend();

    boolean isBreak();

    Context getContext();

    void setContext(Context context);
}
