package com.brilliance.eibs.core.debug.model;

import com.brilliance.eibs.core.frame.IIdentity;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;

public class DebugIdentity implements IIdentity {

    private String hostname;
    private String interfaceName;
    private String transactionId;

    public DebugIdentity(String hostname, String interfaceName, String transactionId) {
        this.hostname = hostname;
        this.interfaceName = interfaceName;
        this.transactionId = transactionId;
    }

    @Override
    public boolean equals(Object obj) {
        boolean b = EqualsBuilder.reflectionEquals(this, obj);
        return b;
    }

    @Override
    public int hashCode() {
        return HashCodeBuilder.reflectionHashCode(this);
    }

    public String getHostname() {
        return hostname;
    }

    public String getInterfaceName() {
        return interfaceName;
    }

    public String getTransactionId() {
        return transactionId;
    }


}
