package com.brilliance.eibs.core.model;

/**
 * 可执行实例配置的接口，与IExecutableInstance相对
 * 
 * @author hujun
 *
 */
public interface IExecutableDef
    extends IDefinition, IAbsDef
{
  public String getRef();

  public void setRef(String ref);

  public String getVia();

  public void setVia(String via);

  public void setType(String type);

  public String getType();

  /**
   * 获取过滤器具体类
   * 
   * @return
   */
  public String getExecuteClass();

  /**
   * 设置过滤器具体类
   * 
   * @param type
   */
  public void setExecuteClass(String executeClass);

  public String getTimes();

  public void setTimes(String times);

  public String getErrorDescription();

  public void setErrorDescription(String description);
}
