package com.brilliance.eibs.core.model;

import java.util.List;

/**
 * 数据域定义接口
 * @author xiaoyuanzhen
 *
 */
public interface IFieldDef
    extends IAbsDef
{
  public String getId();

  public void setId(String id);

  public String getTag();

  public void setTag(String tag);

  public String getEtag();

  public void setEtag(String etag);

  public String getType();

  public void setType(String type);

  public String getFill();

  public void setFill(String fill);

  public String getSize();

  public void setSize(String size);

  public String getVarSize();

  public void setVarSize(String varSize);

  public boolean isRequired();

  public void setRequired(boolean required);

  public String getGroup();

  public void setGroup(String group);

  public String getDescription();

  public void setDescription(String description);

  public String getValue();

  public void setValue(String value);

  public String getScope();

  public void setScope(String scope);

  public String getCodetable();

  public void setCodetable(String codetable);

  public List<Object> getConvertorsAndValidators();

  public void setConvertorsAndValidators(List<Object> convertorsAndValidators);

  public void setArguments(List<IArgumentDef> arguments);

  public List<IArgumentDef> getAuguments();

  public String getValidator();

  public void setValidator(String validator);

  //------------added by hujun on 2015/4/24 ----------- 
  public String getRef();

  public void setRef(String ref);
  //--------------------------------------------------
  
//------------added by weicong on 2016/3/14 -----------
  
  public List<ISubfieldDef> getSubfields();
  
  public void setSubfields(List<ISubfieldDef> subfields);
  
  public String getSplit();
  
  public void setSplit(String split);
  //--------------------------------------------------

  
  public String getDirect();


  public void setDirect(String direct);

}
