package com.brilliance.eibs.core.model;

/**
 * 接口方法原型定义
 * 
 * @author yangrui
 *
 */

import com.brilliance.eibs.bean.Property;

import java.io.Serializable;
import java.util.List;

public interface IMethod
    extends Serializable
{
  public String getReturnType();

  public void setReturnType(String returnType);

  public String getName();

  public void setName(String name);

  public List<Property> getParams();

  public void setParams(List<Property> params);

  public String getImpl();

  public void setImpl(String impl);

  public String getinterfaceName();

  public void setinterfaceName(String interfaceName);

  public String gettransactionName();

  public void settransactionName(String transactionName);

  public boolean equals(Object obj);
}
