package com.brilliance.eibs.core.model;

import java.util.List;

/**
 * 步骤定义信息
 */

public interface IStepDef
    extends IAbsDef
{
  /**
   * 渠道类型,读入
   */
  public static final String IN_TYPE  = "in";
  /**
   * 渠道类型,写出
   */
  public static final String OUT_TYPE = "out";

  public String getId();

  public void setId(String id);

  /**
   * 获取包含连接标识
   * @return
   */

  /**
   * 获取隶属交易
   * @return
   */
  public ITransactionDef getTransaction();

  /**
   * 设置隶属交易
   * @param transaction
   */
  public void setTransaction(ITransactionDef transaction);

  public String getLevel();

  public void setLevel(String level);

  public List<IAbsDef> getExecuteList();

  public void setExecuteList(List<IAbsDef> executeList);

}