package com.brilliance.eibs.core.model;

import java.util.List;

public interface ITransactionDef extends IDefinition {

    /**
     * 获取交易ID
     * 
     * @return
     */
    public String getId();

    /**
     * 设置交易ID
     * 
     * @param id
     */

    public void setId(String id);

    public String getDetail();

    public void setDetail(String detail);

    public String getExpression();

    public void setExpression(String expression);

    public List<IStepDef> getSteps();

    public IInterfaceDef getInterfaceDef();

    public void setInterfaceDef(IInterfaceDef interfaceDef);

    public void setSteps(List<IStepDef> stepList);

    public String getDescription();

    public void setDescription(String description);

    public IProcessDef getProcessDef();

    public void setProcessDef(IProcessDef processDef);

    public String getVersion();

    public void setVersion(String version);

    public String getLogLevel();

    public void setLogLevel(String logLevel);

    public boolean isSingleton();

    public void setSingleton(boolean singleton);

    public long getTimeout();

    public void setTimeout(long timeout);

    public boolean isReload();

    public void setReload(boolean reload);

}
