package com.brilliance.eibs.core.service.instance;

import com.brilliance.eibs.core.model.ITransactionDef;
import com.brilliance.eibs.core.service.Context;
import com.brilliance.eibs.el.ApacheEL;

/**
 * 交易实例接口
 * 
 * @author hujun
 * 
 */
public interface ITransactionInstance {
	static final String EXCEPTION_STEP_SYMBOL = "exception";

	ITransactionDef getDef();

	void setDef(ITransactionDef def);

	String getInterfaceId();

	void setInterfaceId(String interfaceId);

	String getTransactionId();

	void setTransactionId(String transactionId);

	Context getContext();

	void setContext(Context context);

	void execute();

	void setElParser(ApacheEL elParser);

}
