package com.brilliance.eibs.jedis;

import redis.clients.jedis.Jedis;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

public class JedisManager {
	private Map<String, Jedis> jediss = new HashMap<String, Jedis>();

	public Map<String, Jedis> getJediss() {
		return jediss;
	}

	public void setJediss(Map<String, Jedis> jediss) {
		this.jediss = jediss;
	}

	public void closeJedis() {
		Iterator<String> it = jediss.keySet().iterator();
		while (it.hasNext()) {
			Jedis jedis = jediss.get(it.next());
			if (jedis != null && jedis.isConnected()) {
				jedis.close();
			}
		}
	}
}
