package com.brilliance.eibs.monitor;

import org.slf4j.Logger;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

public class StreamGobbler
    extends Thread
{

  private InputStream is;
  private String      type;
  private Logger      logger;

  public StreamGobbler( InputStream is, String type, Logger logger )
  {
    this.is = is;
    this.type = type;
    this.logger = logger;
  }

  public void run()
  {
    InputStreamReader isr = null;
    BufferedReader br = null;
    try
    {
      isr = new InputStreamReader(is);
      br = new BufferedReader(isr);
      String line = null;
      while ((line = br.readLine()) != null)
        logger.info(type + ">" + line);
    }
    catch (IOException ioe)
    {
      ioe.printStackTrace();
    }
  }

}
