package com.brilliance.eibs.server.terminal.api;

import com.brilliance.eibs.server.terminal.Terminal;
import com.brilliance.eibs.server.terminal.TerminalPool;

public class TerminalAPI
{

  public static boolean isConnected(String name)
  {
    return TerminalPool.getTerminal(name).isConnected();
  }

  public static boolean send(String name, byte[] b)
  {
    Terminal t = TerminalPool.getTerminal(name);
    synchronized (t)
    {
      return t.send(b);
    }
  }

}
