package com.brilliance.ext.util;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

public class MathUtil {
	static String KM="2195009108";
	static BigDecimal ZERO=new BigDecimal(0);
	public static void main(String[] args) {
//		System.out.println(caculteNanYang(0.51, 1.7, -0.66));
		BigDecimal up=new BigDecimal(6);
		BigDecimal down=new BigDecimal(106);
		BigDecimal tot=new BigDecimal(0.05);
		
		BigDecimal feeratio=tot.multiply(up).divide(down,2, BigDecimal.ROUND_HALF_UP);
		System.out.println(feeratio.compareTo(ZERO)==0);
	}

	public static double caculteNanYang(double Fv, double r, double t) {
		double result = Fv * Math.pow((1 + r), -t);
		BigDecimal rs = new BigDecimal(result);
		return rs.setScale(2, BigDecimal.ROUND_HALF_UP).doubleValue();
	}

	public static List<Map<String, Object>> jzFeeRate(List<Map<String, Object>> jzlst) {
		if (jzlst == null || jzlst.size() == 0)
			return new ArrayList<Map<String, Object>>();
		List<Map<String, Object>> jznlst = new LinkedList<Map<String, Object>>();
		List<Map<String, Object>> ratiolst = new LinkedList<Map<String, Object>>();
		BigDecimal up=new BigDecimal(6);
		BigDecimal down=new BigDecimal(106);
		BigDecimal tot;
		BigDecimal feeratio = null;
		for(Map<String, Object> item : jzlst){
			if(!item.containsKey("FeeCcyCd") && !item.containsKey("FeeAmt")){
				jznlst.add(item);
				continue;
			}
			if (item.get("FeeAmt") instanceof BigDecimal){
				tot=(BigDecimal)item.get("FeeAmt");
			}else{
				tot=new BigDecimal((String)item.get("FeeAmt"));
			}
			if(item.get("FeeCcyCd").equals("392")){
				feeratio=tot.multiply(up).divide(down,0, BigDecimal.ROUND_HALF_UP);
			}else{
				feeratio=tot.multiply(up).divide(down,2, BigDecimal.ROUND_HALF_UP);
			}
			BigDecimal fee=tot.subtract(feeratio);
			Map<String, Object> feeratiom=new HashMap<String, Object>(item);
			Map<String, Object> feem=new HashMap<String, Object>(item);
			feem.put("FeeAmt", fee);
			feem.put("TranAmt", fee);
			feem.put("AMT", fee);
			jznlst.add(feem);
			
			if(feeratio.compareTo(ZERO)==0){
				continue;
			}
			String act=((String)item.get("CstAcctNo")).substring(0,9)+KM;
			feeratiom.put("FeeAmt", feeratio);
			feeratiom.put("TranAmt", feeratio);
			feeratiom.put("AMT", feeratio);
			feeratiom.put("CstNo", act);
			feeratiom.put("CstAcctNo", act);
			feeratiom.put("ACT", act);
			ratiolst.add(feeratiom);
		}
		jznlst.addAll(ratiolst);
		jzlst.clear();
		jzlst.addAll(jznlst);
		return jzlst;
	}
	
}
