package com.brilliance.eibs.core.frame;

import java.io.IOException;
import java.net.Socket;

/**
 * @author hujun
 *
 *         用于提供接口平台socket实现类接口，主要是为了丰富兼容多种底层实现
 */
public interface ISocketProxy {

	void close();

	void setEncoding(String encoding);

	String getDataStream(int len) throws IOException;

	Object[] readDataByBuffer() throws IOException;

	byte[] getDataStreamBytes(int len) throws IOException;

	String getStrBySocketStream() throws IOException;

	void send(Object message) throws IOException;

	void skip(long len) throws IOException;

	boolean isConnected();

	public Socket getSocket();
	
	Object getObject() throws IOException;
}
