package com.brilliance.eibs.core.frame;

import java.io.IOException;

/**
 * @author hujun
 *
 *         socket代理类工场
 */
public class SocketProxyFactry {

	public static final String MINA_TYPE = "mina";
	public static final String SHORT_SOCKET_TYPE = "short_socket";
	public static final String ORG_SOCKET_TYPE = "socket";

	public static ISocketProxy getProxy(ISocketProxyBuilder builder) throws IOException {
		return builder.buildSocketProxy();
	}

}
