package com.brilliance.eibs.core.model;

import java.util.List;
import java.util.Map;

/**
 * 循环器定义接口
 * @author xiaoyuanzhen
 *
 */
public interface IForeachDef
    extends IAbsDef
{
  public String getTag();

  public void setTag(String tag);
  
  public String getBegin();

  public void setBegin(String begin);

  public String getEnd();

  public void setEnd(String end);

  public String getCondition();

  public void setCondition(String condition);

  public String getStep();

  public void setStep(String step);

  public String getScope();

  public void setScope(String scope);

  public boolean isIgnoreExption();

  public void setIgnoreExption(boolean ignoreExption);

  public List<IAbsDef> getSubList();

  public void setSubList(List<IAbsDef> subList);

  public Map<String, IPropertyDef> getPropertyDefs();

  public void addPropertyDef(String key, IPropertyDef propertyDef);

  public int getCurrentCount();

  public void setCurrentCount(int currentCount);
}
