package com.brilliance.eibs.core.model;

import java.io.IOException;
import java.util.Map;

public interface IServiceDef
    extends IDefinition
{
  public String getId();

  public void setId(String id);

  public String getType();

  public void setType(String type);

  public String getLanguage();

  public void setLanguage(String language);

  public String getEncoding();

  public void setEncoding(String encoding);

  public String getState();

  public void setState(String state);

  public String getExpression();

  public void setExpression(String expression);

  public String getDescription();

  public void setDescription(String description);

  public Map<String, String> getPropertyMap();

  public void setPropertyMap(Map<String, String> propertyMap);

  public void addProperty(String key, String value);

  IServiceDef deepClone()
      throws IOException, ClassNotFoundException;

}
