package com.brilliance.eibs.core.model.modelbeans;

import java.io.Serializable;

/**
 * 公共定义集合类,用于序列化
 */
public class CommonsDef
    implements Serializable
{
  /**
   * 
   */
  private static final long serialVersionUID = 1L;
  private ConnectionsDef    connectionsDef   = new ConnectionsDef(); // 连接定义集合
  private FiltersDef        filtersDef       = new FiltersDef();    // 过滤器定义集合

  /**
   * 获取连接定义集合类
   * 
   * @return
   */
  public ConnectionsDef getConnectionsDef()
  {
    return connectionsDef;
  }

  /**
   * 设置连接定义集合类
   * 
   * @param connectionsDef
   */
  public void setConnectionsDef(ConnectionsDef connectionsDef)
  {
    this.connectionsDef = connectionsDef;
  }

  /**
   * 获取过滤器定义集合类
   * 
   * @return
   */
  public FiltersDef getFiltersDef()
  {
    return filtersDef;
  }

  /**
   * 设置过滤器定义集合类
   * 
   * @param filtersDef
   */
  public void setFiltersDef(FiltersDef filtersDef)
  {
    this.filtersDef = filtersDef;
  }

}
