package com.brilliance.eibs.core.service.instance;

import com.brilliance.eibs.core.model.IFunctionDef;
import com.brilliance.eibs.core.model.impl.ReflectDef;

/**
 * @author hujun
 *
 * 反射构造函数流程实例
 */
public class ConstructorFunctionInstance
    extends FunctionInstance
{

  public ConstructorFunctionInstance( IFunctionDef def )
  {
    super(def);
  }

  @Override
  protected Object executeFunctionDef(Object[] params)
  {
    return getConstructInstance(((ReflectDef) def).getClazz(), params);
  }
}
