package com.brilliance.eibs.server.connection.impl;

import com.brilliance.eibs.core.service.ResultMsg;
import com.brilliance.eibs.main.Client;
import com.brilliance.eibs.server.connection.Filter;

public class TransFilter
    implements Filter
{

  private String interfaceName;
  private String transactionName;

  public TransFilter( String interfaceName, String transactionName )
  {
    this.interfaceName = interfaceName;
    this.transactionName = transactionName;
  }

  @Override
  public byte[] filter(byte[] bytes)
  {
    Client client = new Client();
    ResultMsg msg = client.call(interfaceName, transactionName, bytes);
    Object content = msg.getContent();
    if (null == content)
      return new byte[0];
    else if (content instanceof byte[])
      return (byte[]) content;
    else
      return ((String) content).getBytes();
  }

}
